package it.unibo.stradivarius.wifip2p;

import android.content.Context;
import android.os.AsyncTask;
import android.util.Log;
import android.view.View;
import android.widget.TextView;

import java.io.IOException;
import java.io.InputStream;
import java.net.ServerSocket;
import java.net.Socket;

public class BackgroundListener extends AsyncTask {

    private Context context;
    private TextView remoteName;
    private TextView myName;

    public BackgroundListener(Context context, View remoteName) {
        this.context = context;
        this.remoteName = (TextView) remoteName;
    }

    @Override
    protected String doInBackground(Object [] params) {
        try {
            ServerSocket serverSocket = new ServerSocket(8888);
            Socket client = serverSocket.accept();
            InputStream inputstream = client.getInputStream();
            Log.v("MY_WIFI_P2P",inputstream.toString());
            serverSocket.close();
            return "OK";
        } catch (IOException e) {
            Log.e("MY_WIFI_P2P", e.getMessage());
            return "KO";
        }
    }

    /**
     * Start activity that can handle the JPEG image
     */
    @Override
    protected void onPostExecute(Object result) {
        super.onPostExecute(result);
        if (result != null) {
            remoteName.setText(result.toString());
            /*
            Intent intent = new Intent();
            intent.setAction(android.content.Intent.ACTION_VIEW);
            intent.setDataAndType(Uri.parse("file://" + result), "image/*");
            context.startActivity(intent);
            */
        }
    }
}
